<template>
  <!-- <portal-page class="q-px-lg q-pb-xl"> -->
  <portal-page class="q-px-md q-pb-md">
    <!-- <div
      class="row"
      :class="{
        'q-gutter-lg': $q.screen.gt.sm,
      }"
      style="margin-top: 30px"
    > -->
    <div class="row" style="margin-top: 30px">
      <!-- CARD: RECENTLY SEARCHES SECTION -->
      <div
        v-if="screenWidth >= 768"
        :class="{
          'col-2': screenWidth >= 1024 || (isPortrait && isIpad),
          'col-3': screenWidth >= 768 && screenWidth <= 1023,
        }"
      >
        <q-card flat class="q-pa-sm rounded-borders-10">
          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <span class="title-xsmall text-grey"> RECENT SEARCHES </span>
          </q-card-section>

          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col">
                <div
                  v-for="(job, k) in searchStore.searches.slice(0, 3)"
                  :key="k"
                  @click="fetchRecentSearch(job)"
                >
                  <q-input
                    dense
                    filled
                    v-model="text"
                    class="q-mb-md cursor-pointer rounded-borders-10"
                    :style="{
                      height:
                        screenWidth <= 900 && screenWidth >= 768
                          ? '34px'
                          : '40px',
                    }"
                  >
                    <template v-slot:prepend>
                      <span
                        class="title-8 text-dark"
                        style="height: 20px;
                            overflow: hidden;
                            text-overflow: initial;
                            word-break: break-all;
                        }"
                        :style="{
                          fontSize:
                            screenWidth <= 1024 && screenWidth >= 768
                              ? '12px'
                              : '15px',
                        }"
                        >{{ job.name }}</span
                      >
                    </template>

                    <template v-slot:default>
                      <q-badge
                        id="filter-search"
                        class="title-xsmall"
                        outline
                        color="grey-5"
                        v-for="(filter, i) in job.search_filters"
                        :key="i"
                      >
                        {{ filter.slug.toUpperCase() }}
                      </q-badge>
                    </template>

                    <template v-slot:append>
                      <q-icon
                        name="eva-search"
                        style="font-weight: 600; color: #174c76"
                        :style="{
                          fontSize:
                            screenWidth <= 900 && screenWidth >= 768
                              ? '12px'
                              : '20px',
                        }"
                      />
                    </template>
                  </q-input>
                </div>
              </div>
            </div>
          </q-card-section>
        </q-card>
        <recently-saved-jobs-card />
      </div>

      <!-- CARD: JOBS LIST SECTION -->
      <div
        v-if="showApplyNowCard === false"
        class="q-px-md"
        :class="{
          'col-8': screenWidth >= 1024 || (isPortrait && isIpad),
          'col-9': screenWidth >= 768 && screenWidth <= 1023,
          'col-12': screenWidth <= 767,
        }"
      >
        <div class="row">
          <div class="col">
            <div
              class="flex items-baseline justify-between"
              v-if="screenWidth <= 767"
            >
              <p
                class="text-h5 q-mb-sm text-weight-medium"
                style="color: #174c76"
              >
                Search Job
              </p>
              <p class="text-caption q-mb-sm" style="color: #9b9b9b">
                {{ jobStore.jobs.length }} JOBS FOUND
              </p>
            </div>

            <q-input
              v-model="filter.search"
              filled
              bottom-slots
              placeholder="Search"
              type="search"
              bg-color="white"
              class="rounded-borders-12 search-field"
              @click="screenWidth <= 767 ? showSearchOverlay() : null"
              v-on:keyup.enter="filterJobPosts()"
              clearable
              @clear="handleClear"
            >
              <template v-slot:append>
                <q-btn
                  id="search"
                  flat
                  icon="eva-search"
                  class="q-ml-md"
                  @click="filterJobPosts(), isSearchBtnClicked === true"
                />
              </template>
              <template
                v-slot:hint
                v-if="isSearchBtnClicked && screenWidth >= 768"
              >
                {{ jobStore.jobs.length }}
                {{ jobStore.jobs.length > 1 ? "JOBS" : "JOB" }} FOUND
              </template>
            </q-input>

            <div
              class="flex items-baseline justify-between"
              v-if="screenWidth <= 1023"
            >
              <div
                class="flex items-center justify-between q-py-sm q-px-md"
                style="width: 49%; background: #fff; border-radius: 10px"
                @click="showFilterMobile = true"
              >
                <p class="q-mb-none">Filter (4)</p>
                <q-icon name="tune" size="1.8em" style="color: #174c76" />
              </div>

              <q-select
                filled
                dense
                bg-color="white"
                class="q-mt-sm sort-field"
                style="width: 49%"
                v-model="filter.sortBy"
                :options="sortOptions"
                map-options
                emit-value
                @update:model-value="filterJobPosts"
              />
            </div>
          </div>
        </div>

        <!-- CARD: JOB LISTS -->

        <div>
          <!-- <div
            v-if="jobStore.jobListLoading"
            class="col q-mt-lg"
            align="center"
          >
            <q-spinner color="primary" size="40px" :thickness="3" />
          </div> -->

          <div ref="containerJobsListDisplay" class="col">
            <q-card
              v-for="(job, k) in jobStore.jobs"
              :key="k"
              flat
              class="card-job q-mt-lg rounded-borders-10"
            >
              <q-card-section>
                <div class="row">
                  <div class="col-2" style="width: 80px">
                    <custom-avatar
                      :photoUrl="job.user.profile_picture_url"
                      :name="job.company_name"
                      userType="jobseeker"
                      fontSize="17px"
                      size="60px"
                      :circle="false"
                      shadow="shadow-5"
                    />
                  </div>

                  <div class="col q-py-xs">
                    <p
                      class="title-headline q-mb-sm cursor-pointer"
                      @click="onClickApplyNow(job.id)"
                    >
                      {{ job.job_title }}
                    </p>
                    <p class="title-6">{{ job.company_name }}</p>
                  </div>

                  <div
                    :class="screenWidth <= 767 ? 'col-12' : 'col-3'"
                    :style="{
                      'min-width':
                        screenWidth >= 1024 || (isPortrait && isIpad)
                          ? '197px'
                          : '170px',
                    }"
                  >
                    <div
                      :class="screenWidth <= 767 ? 'col-12' : 'col-3'"
                      :style="{
                        padding:
                          screenWidth >= 1024 || (isPortrait && isIpad)
                            ? '10px 20px'
                            : '5px 10px',
                      }"
                    >
                      <div class="salary">
                        <span class="text-dark">
                          {{
                            job.salary_from || job.salary_to
                              ? "₱ "
                              : "salary range not available"
                          }}
                        </span>

                        <strong class="text-dark">
                          {{
                            job.salary_from || job.salary_to
                              ? formatSalary(job.salary_from) +
                                " - " +
                                formatSalary(job.salary_to)
                              : ""
                          }}
                        </strong>

                        <span class="text-grey-7">
                          {{ job.salary_from || job.salary_to ? " / mo" : "" }}
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
              </q-card-section>

              <q-card-section
                v-show="
                  job.full_time === true ||
                  job.part_time === true ||
                  job.freelance_or_contract === true ||
                  job.entry_level === true ||
                  job.intermediate === true ||
                  job.expert === true ||
                  job.on_site === true ||
                  job.remote === true ||
                  job.hybrid === true ||
                  job.years_of_experience >= 1 ||
                  job.vacancy_number >= 1
                "
              >
                <div class="row">
                  <div class="col q-gutter-md">
                    <!-- TAGS FOR JOB TYPE -->
                    <q-badge
                      v-if="job.full_time === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="FULL-TIME"
                    />
                    <q-badge
                      v-if="job.part_time === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="PART-TIME"
                    />
                    <q-badge
                      v-if="job.freelance_or_contract === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="FREELANCE/CONTRACT"
                    />

                    <!-- TAGS FOR EXPERIENCE LEVEL -->
                    <q-badge
                      v-if="job.entry_level === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="ENTRY LEVEL"
                    />
                    <q-badge
                      v-if="job.intermediate === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="INTERMEDIATE"
                    />
                    <q-badge
                      v-if="job.expert === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="EXPERT"
                    />

                    <!-- TAGS FOR OTHERS -->
                    <q-badge
                      v-if="job.on_site === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="ON-SITE"
                    />
                    <q-badge
                      v-if="job.remote === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="REMOTE"
                    />
                    <q-badge
                      v-if="job.hybrid === true"
                      class="badge q-mt-sm"
                      color="white"
                      label="HYBRID"
                    />

                    <q-badge
                      v-if="job.years_of_experience != null"
                      class="badge q-mt-sm"
                      color="white"
                    >
                      {{
                        job.years_of_experience === 1
                          ? job.years_of_experience + " YEAR EXPERIENCE"
                          : job.years_of_experience + " YEARS EXPERIENCE"
                      }}
                    </q-badge>
                    <q-badge
                      v-if="job.vacancy_number >= 1"
                      class="badge q-mt-sm"
                      color="white"
                    >
                      {{
                        job.vacancy_number === 1
                          ? job.vacancy_number + " VACANCY"
                          : job.vacancy_number + " VACANCIES"
                      }}
                    </q-badge>
                  </div>
                </div>
              </q-card-section>

              <q-card-section>
                <div class="row">
                  <div class="col">
                    <span
                      class="title-4 text-dark"
                      v-html="job.job_description"
                    ></span>
                  </div>
                </div>
              </q-card-section>

              <div class="row q-pa-md q-mt-lg">
                <div
                  class="q-my-auto"
                  :class="$q.screen.lt.sm ? 'col-12' : 'col'"
                >
                  <span class="title-xsmall text-grey" style="color: #707070"
                    >POSTED
                  </span>
                  <span
                    class="title-xsmall text-weight-bold text-grey-7"
                    style="color: #707070"
                    >{{ getDaysPosted(job.updated_at) }} DAYS AGO</span
                  >
                </div>
                <div
                  align="right"
                  :class="
                    $q.screen.lt.sm
                      ? 'col-12 flex items-center justify-between q-mt-md'
                      : 'col'
                  "
                >
                  <q-btn
                    id="apply"
                    unelevated
                    class="btn-md text-white q-mr-sm"
                    :style="{
                      width: $q.screen.lt.sm
                        ? 'calc(100% - 55px) !important'
                        : 'auto',
                    }"
                    :disable="job.is_applied === true"
                    :color="
                      job.is_applied === true ? 'light-blue-1' : 'light-blue-10'
                    "
                    :text-color="
                      job.is_applied === true ? 'light-blue-10' : 'white'
                    "
                    :label="job.is_applied === true ? 'APPLIED' : 'APPLY NOW'"
                    @click="onClickApplyNow(job.id)"
                  />

                  <q-btn
                    id="save"
                    unelevated
                    :class="
                      job.is_saved === true
                        ? 'btn-save filled'
                        : 'btn-save outlined'
                    "
                    :text-color="job.is_saved === true ? 'white' : 'primary'"
                    :icon="
                      job.is_saved === true
                        ? 'eva-bookmark'
                        : 'eva-bookmark-outline'
                    "
                    @click="onClickSaveJob(job.id, job.is_saved)"
                  />
                </div>
              </div>
            </q-card>
          </div>
        </div>

        <InfiniteLoading @infinite="fetchJobs">
          <template #spinner>
            <div class="row justify-center q-my-md">
              <q-spinner color="primary" size="40px" :thickness="3" />
            </div>
          </template>
          <template #complete>
            <div></div>
          </template>
        </InfiniteLoading>
      </div>

      <div
        v-if="showApplyNowCard === true"
        class="q-px-md"
        :class="{
          'col-9': screenWidth >= 1028,
          'col-10': screenWidth >= 768 && screenWidth <= 1027,
          'col-12': screenWidth <= 767,
        }"
      >
        <q-card flat class="card-job rounded-borders-10">
          <div class="row q-mb-lg">
            <div class="col text-left text-dark">
              <q-btn
                unelevated
                text
                label="BACK"
                class="btn-md btn-back"
                icon="arrow_back"
                @click="goBack()"
              />
            </div>
          </div>

          <q-form @submit="confirmApplyNow(jobStore.job.id)">
            <q-card-section>
              <div class="row">
                <div class="col-2" style="width: 80px">
                  <custom-avatar
                    :photoUrl="jobStore.job.user.profile_picture_url"
                    :name="jobStore.job.company_name"
                    userType="jobseeker"
                    fontSize="17px"
                    size="60px"
                    :circle="false"
                    shadow="shadow-5"
                  />
                </div>

                <div class="col q-py-xs">
                  <p class="title-headline q-mb-sm">
                    {{ jobStore.job.job_title }}
                  </p>
                  <p class="title-6">{{ jobStore.job.company_name }}</p>
                </div>

                <div
                  :class="$q.screen.lt.sm ? 'col-12' : 'col-3'"
                  :style="{
                    'min-width':
                      screenWidth >= 1024 || (isPortrait && isIpad)
                        ? '197px'
                        : '170px',
                  }"
                >
                  <div
                    class="salary-container rounded-borders-10 bg-grey-2 text-center"
                    style="width: 100%; position: relative"
                    :style="{
                      padding:
                        screenWidth >= 1024 || (isPortrait && isIpad)
                          ? '10px 20px'
                          : '5px 10px',
                    }"
                  >
                    <div class="salary">
                      <span class="text-dark">
                        {{
                          jobStore.job.salary_from || jobStore.job.salary_to
                            ? "₱ "
                            : "salary range not available"
                        }}
                      </span>

                      <strong class="text-dark">
                        {{
                          jobStore.job.salary_from || jobStore.job.salary_to
                            ? formatSalary(jobStore.job.salary_from) +
                              " - " +
                              formatSalary(jobStore.job.salary_to)
                            : ""
                        }}
                      </strong>

                      <span>
                        {{
                          jobStore.job.salary_from || jobStore.job.salary_to
                            ? " / mo"
                            : ""
                        }}
                      </span>
                    </div>
                  </div>
                </div>
              </div>
            </q-card-section>

            <q-card-section
              v-show="
                jobStore.job.full_time === true ||
                jobStore.job.part_time === true ||
                jobStore.job.freelance_or_contract === true ||
                jobStore.job.entry_level === true ||
                jobStore.job.intermediate === true ||
                jobStore.job.expert === true ||
                jobStore.job.on_site === true ||
                jobStore.job.remote === true ||
                jobStore.job.hybrid === true ||
                jobStore.job.years_of_experience >= 1 ||
                jobStore.job.vacancy_number >= 1
              "
            >
              <div class="row">
                <div class="col q-gutter-md">
                  <!-- TAGS FOR JOB TYPE -->
                  <q-badge
                    v-if="jobStore.job.full_time === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="FULL-TIME"
                  />
                  <q-badge
                    v-if="jobStore.job.part_time === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="PART-TIME"
                  />
                  <q-badge
                    v-if="jobStore.job.freelance_or_contract === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="FREELANCE/CONTRACT"
                  />

                  <!-- TAGS FOR EXPERIENCE LEVEL -->
                  <q-badge
                    v-if="jobStore.job.entry_level === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="ENTRY LEVEL"
                  />
                  <q-badge
                    v-if="jobStore.job.intermediate === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="INTERMEDIATE"
                  />
                  <q-badge
                    v-if="jobStore.job.expert === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="EXPERT"
                  />

                  <!-- TAGS FOR OTHERS -->
                  <q-badge
                    v-if="jobStore.job.on_site === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="ON-SITE"
                  />
                  <q-badge
                    v-if="jobStore.job.remote === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="REMOTE"
                  />
                  <q-badge
                    v-if="jobStore.job.hybrid === true"
                    class="badge q-mt-sm"
                    color="white"
                    label="HYBRID"
                  />

                  <q-badge
                    v-if="jobStore.job.years_of_experience >= 1"
                    class="badge q-mt-sm"
                    color="white"
                  >
                    {{
                      jobStore.job.years_of_experience === 1
                        ? jobStore.job.years_of_experience + " YEAR EXPERIENCE"
                        : jobStore.job.years_of_experience + " YEARS EXPERIENCE"
                    }}
                  </q-badge>
                  <q-badge
                    v-if="jobStore.job.vacancy_number >= 1"
                    class="badge q-mt-sm"
                    color="white"
                  >
                    {{
                      jobStore.job.vacancy_number === 1
                        ? jobStore.job.vacancy_number + " VACANCY"
                        : jobStore.job.vacancy_number + " VACANCIES"
                    }}
                  </q-badge>
                </div>
              </div>
            </q-card-section>

            <q-card-section class="q-pt-none">
              <div
                class="row q-mt-lg"
                :class="$q.screen.lt.sm ? 'column reverse' : ''"
              >
                <div :class="$q.screen.lt.sm ? 'col-12' : 'col-6'">
                  <span
                    class="title-4 text-dark"
                    v-html="jobStore.job.job_description"
                  >
                  </span>
                </div>

                <div class="col-1" v-if="!$q.screen.lt.sm"></div>

                <div :class="$q.screen.lt.sm ? 'col-12 q-mb-xl' : 'col'">
                  <div>
                    <label class="text-caption text-weight-bold text-grey-7"
                      >CV / RESUME</label
                    >
                    <q-file
                      dense
                      outlined
                      v-model="form.cv_or_resume"
                      max-file-size="5242880"
                      :rules="[validations.requiredField]"
                      :filter="checkFileType"
                      :label="
                        form.cv_or_resume_path !== null
                          ? form.cv_or_resume_path
                          : 'Selected File'
                      "
                      :disable="form.cv_or_resume_path !== null"
                      @rejected="onRejected(form.cv_or_resume)"
                      @update:model-value="onRejected(form.cv_or_resume)"
                      @click="toggleFileNameVisibility"
                      @change="onFileChange"
                    >
                      <template v-slot:prepend>
                        <q-icon name="eva-attach-outline" />
                      </template>
                    </q-file>
                    <p id="error" class="q-field_messages text-negative">
                      {{ errorMessage }}
                    </p>
                  </div>

                  <div>
                    <label class="text-caption text-weight-bold text-grey-7">
                      COVER LETTER (OPTIONAL)
                    </label>
                    <q-editor
                      v-model="form.cover_letter"
                      min-height="10rem"
                      min-width="100%"
                      :dense="$q.screen.lt.md"
                      :toolbar="[]"
                    />

                    <!-- :disable="form.cover_letter !== null" -->

                    <!-- :toolbar="[
                        ['bold', 'italic', 'strike', 'underline'],
                        ['link'],
                        [
                          {
                            label: $q.lang.editor.align,
                            icon: $q.iconSet.editor.align,
                            fixedLabel: true,
                            list: 'only-icons',
                            options: ['left', 'center', 'right', 'justify'],
                          },
                        ],
                        ['unordered', 'ordered', 'outdent', 'indent'],
                      ]" -->
                  </div>

                  <div class="row q-mt-xl">
                    <div
                      class="q-mr-xl"
                      :class="$q.screen.lt.md ? 'col-12' : 'col-12'"
                    >
                      <label class="text-caption text-weight-bold text-grey-7">
                        INTERVIEW AVAILABILITY
                      </label>
                      <q-btn-group
                        unelevated
                        class="my-custom-toggle q-mt-xs"
                        style="min-width: 380px !important"
                      >
                        <q-btn
                          v-for="(option, index) in form.day_options"
                          :key="index"
                          :color="option.color"
                          :label="option.label"
                          :text-color="option.textColor"
                          @click="setDaysAvailable(option, index)"
                        ></q-btn>
                      </q-btn-group>
                    </div>

                    <div :class="$q.screen.lt.md ? 'col-12 q-mt-sm' : 'col-12'">
                      <label
                        v-if="!$q.screen.lt.md"
                        class="title-xsmall text-white"
                        >.</label
                      >
                      <q-btn-group
                        unelevated
                        class="my-custom-toggle"
                        style="min-width: 100px !important"
                      >
                        <q-btn
                          v-for="(option, index) in form.time_options"
                          :key="index"
                          :color="option.color"
                          :label="option.label"
                          :text-color="option.textColor"
                          @click="setTimeAvailable(option, index)"
                        ></q-btn>
                      </q-btn-group>
                    </div>
                  </div>
                </div>
              </div>
            </q-card-section>

            <div class="row q-px-md q-mt-xl">
              <div class="q-mt-md" :class="$q.screen.lt.sm ? 'col-12' : 'col'">
                <span class="title-xsmall text-grey" style="color: #707070"
                  >POSTED
                </span>
                <span
                  class="title-xsmall text-weight-bold text-grey-7"
                  style="color: #707070"
                  >{{ getDaysPosted(jobStore.job.updated_at) }} DAYS AGO</span
                >
              </div>

              <div
                align="right"
                :class="
                  $q.screen.lt.sm
                    ? 'col-12 flex items-center justify-between q-mt-md'
                    : 'col'
                "
              >
                <q-btn
                  id="apply"
                  unelevated
                  type="submit"
                  class="btn-md text-white q-mr-sm"
                  :style="{
                    width: $q.screen.lt.sm
                      ? 'calc(100% - 55px) !important'
                      : 'auto',
                  }"
                  :disable="jobStore.job.is_applied === true"
                  :color="
                    jobStore.job.is_applied === true
                      ? 'light-blue-1'
                      : 'light-blue-10'
                  "
                  :text-color="
                    jobStore.job.is_applied === true ? 'light-blue-10' : 'white'
                  "
                  :label="
                    jobStore.job.is_applied === true ? 'APPLIED' : 'APPLY NOW'
                  "
                  :loading="loading"
                />

                <q-btn
                  id="save"
                  unelevated
                  :class="
                    jobStore.job.is_saved === true
                      ? 'btn-save filled'
                      : 'btn-save outlined'
                  "
                  :text-color="
                    jobStore.job.is_saved === true ? 'white' : 'primary'
                  "
                  :icon="
                    jobStore.job.is_saved === true
                      ? 'eva-bookmark'
                      : 'eva-bookmark-outline'
                  "
                  @click="
                    onClickSaveJob(jobStore.job.id, jobStore.job.is_saved)
                  "
                />
              </div>
            </div>
          </q-form>
        </q-card>
      </div>

      <!-- CARD: FILTERS SECTION -->
      <div
        v-if="
          (showApplyNowCard === false && screenWidth >= 1024) ||
          (showApplyNowCard === false && isPortrait && isIpad)
        "
        class="col-2"
      >
        <q-card flat class="q-pa-sm rounded-borders-10">
          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col-6">
                <span class="title-xsmall text-grey-7"> SORT BY </span>
              </div>
            </div>
            <q-select
              outlined
              dense
              class="q-mt-sm"
              v-model="filter.sortBy"
              :options="sortOptions"
              map-options
              emit-value
              @update:model-value="filterJobPosts"
            />
          </q-card-section>

          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col">
                <p class="title-xsmall text-grey-7">DATE POSTED</p>
                <div>
                  <div>
                    <q-radio
                      v-model="filter.date_posted"
                      class="text__regular"
                      label="Any Time"
                      val="any_time"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-radio
                      v-model="filter.date_posted"
                      class="text__regular"
                      label="Past 24 hours"
                      val="past_24_hours"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-radio
                      v-model="filter.date_posted"
                      class="text__regular"
                      label="Past Week"
                      val="past_week"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-radio
                      v-model="filter.date_posted"
                      class="text__regular"
                      label="Past Month"
                      val="past_month"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                </div>
              </div>
            </div>
          </q-card-section>

          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col">
                <p class="title-xsmall text-grey-7">JOB TYPE</p>
                <div>
                  <div>
                    <q-checkbox
                      v-model="filter.full_time"
                      class="text__regular"
                      label="Full-Time"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.part_time"
                      class="text__regular"
                      label="Part-Time"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.freelance_or_contract"
                      class="text__regular"
                      label="Freelance/ Contract"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                </div>
              </div>
            </div>
          </q-card-section>

          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col">
                <p class="title-xsmall text-grey-7">EXPERIENCE LEVEL</p>
                <div>
                  <div>
                    <q-checkbox
                      v-model="filter.entry_level"
                      class="text__regular"
                      label="Entry Level"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.intermediate"
                      class="text__regular"
                      label="Intermediate"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.expert"
                      class="text__regular"
                      label="Expert"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                </div>
              </div>
            </div>
          </q-card-section>

          <q-card-section
            :style="{
              padding:
                screenWidth <= 1024 && screenWidth >= 768 ? '8px 4px' : '16px',
            }"
          >
            <div class="row">
              <div class="col">
                <p class="title-xsmall text-grey-7">OTHER</p>
                <div>
                  <div>
                    <q-checkbox
                      v-model="filter.on_site"
                      class="text__regular"
                      label="On-site"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.remote"
                      class="text__regular"
                      label="Remote"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                  <div>
                    <q-checkbox
                      v-model="filter.hybrid"
                      class="text__regular"
                      label="Hybrid"
                      :style="{
                        fontSize:
                          screenWidth <= 1024 && screenWidth >= 768
                            ? '12px'
                            : '14px',
                      }"
                      @update:model-value="filterJobPosts"
                    />
                  </div>
                </div>
              </div>
            </div>
          </q-card-section>
        </q-card>
      </div>

      <!-- OVERLAY: SEARCH MOBILE -->
      <div
        class="overlay-search"
        v-if="showSearchOverlayCard && $q.screen.lt.md"
      >
        <div class="row">
          <div class="col">
            <div
              class="flex items-baseline justify-between q-mb-md"
              v-if="$q.screen.lt.md"
            >
              <p
                class="text-h5 q-mb-none text-weight-medium"
                style="color: #174c76"
              >
                Search Job
              </p>
            </div>

            <q-input
              v-model="filter.search"
              filled
              bottom-slots
              placeholder="Search"
              type="search"
              @update:model-value="filterJobPosts"
              bg-color="white"
              class="rounded-borders-12 search-field"
            >
              <template v-slot:append>
                <q-icon
                  name="eva-search"
                  @click="
                    filterJobPosts(),
                      isSearchBtnClicked === true,
                      hideSearchOverlay()
                  "
                  style="width: 50px; height: 56px"
                />
              </template>
              <template v-slot:hint v-if="filter.search && !$q.screen.lt.md">
                {{ jobStore.jobs.length }}
                {{ jobStore.jobs.length > 1 ? "JOBS" : "JOB" }} FOUND
              </template>
            </q-input>

            <p
              class="text-caption q-mt-lg"
              style="color: #9b9b9b; font-weight: 600"
            >
              RECENT SEARCHES
            </p>

            <div
              style="
                overflow: auto;
                height: calc(100vh - 340px);
                scroll-behavior: smooth;
              "
            >
              <div
                class="search-item flex items-center justify-between q-mb-md"
                v-for="(job, k) in searchStore.searches.slice(0, 3)"
                :key="k"
                @click="
                  (filter.search = 'vigan'),
                    hideSearchOverlay(),
                    fetchRecentSearch(job)
                "
              >
                <!-- {{ job }} -->
                <div style="overflow: hidden; height: 24px; width: 90%">
                  <span class="q-mr-sm">{{ job.name }}</span>
                  <span
                    style="color: #9b9b9b; font-size: 12px"
                    v-for="(filters, i) in job.search_filters"
                    :key="i"
                    >{{ filters.name }}
                    {{ i == job.search_filters.length - 1 ? "" : "•" }}
                  </span>
                </div>
                <q-icon
                  name="eva-search"
                  style="font-size: 16px; color: #01579b; font-weight: 700"
                ></q-icon>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </portal-page>

  <!-- DIALOG: FILTER for MOBILE -->
  <q-dialog
    v-model="showFilterMobile"
    persistent
    @hide="showFilterMobile === false"
  >
    <q-card
      flat
      class="q-pa-none q-mt-lg rounded-borders-10"
      style="width: 600px; max-width: 80vw"
    >
      <q-card-section
        class="row items-center q-pb-sm"
        style="
          position: sticky;
          top: 0;
          left: 0;
          z-index: 2;
          background: #fff;
          border-bottom: 1px solid #ddd;
        "
      >
        <span class="title-headline text-dark">FILTERS</span>
        <q-space />
        <q-btn size="md" icon="eva-close" flat round dense v-close-popup />
      </q-card-section>

      <q-card-section>
        <div class="row">
          <div class="col">
            <p class="title-xsmall text-grey-7">DATE POSTED</p>
            <div>
              <div>
                <q-radio
                  v-model="filter.date_posted"
                  class="text__regular"
                  label="Any Time"
                  val="any_time"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-radio
                  v-model="filter.date_posted"
                  class="text__regular"
                  label="Past 24 hours"
                  val="past_24_hours"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-radio
                  v-model="filter.date_posted"
                  class="text__regular"
                  label="Past Week"
                  val="past_week"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-radio
                  v-model="filter.date_posted"
                  class="text__regular"
                  label="Past Month"
                  val="past_month"
                  @update:model-value="filterJobPosts"
                />
              </div>
            </div>
          </div>
        </div>
      </q-card-section>

      <q-card-section>
        <div class="row">
          <div class="col">
            <p class="title-xsmall text-grey-7">JOB TYPE</p>
            <div>
              <div>
                <q-checkbox
                  v-model="filter.full_time"
                  class="text__regular"
                  label="Full-Time"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.part_time"
                  class="text__regular"
                  label="Part-Time"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.freelance_or_contract"
                  class="text__regular"
                  label="Freelance/Contract"
                  @update:model-value="filterJobPosts"
                />
              </div>
            </div>
          </div>
        </div>
      </q-card-section>

      <q-card-section>
        <div class="row">
          <div class="col">
            <p class="title-xsmall text-grey-7">EXPERIENCE LEVEL</p>
            <div>
              <div>
                <q-checkbox
                  v-model="filter.entry_level"
                  class="text__regular"
                  label="Entry Level"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.intermediate"
                  class="text__regular"
                  label="Intermediate"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.expert"
                  class="text__regular"
                  label="Expert"
                  @update:model-value="filterJobPosts"
                />
              </div>
            </div>
          </div>
        </div>
      </q-card-section>

      <q-card-section>
        <div class="row">
          <div class="col">
            <p class="title-xsmall text-grey-7">OTHER</p>
            <div>
              <div>
                <q-checkbox
                  v-model="filter.on_site"
                  class="text__regular"
                  label="On-site"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.remote"
                  class="text__regular"
                  label="Remote"
                  @update:model-value="filterJobPosts"
                />
              </div>
              <div>
                <q-checkbox
                  v-model="filter.hybrid"
                  class="text__regular"
                  label="Hybrid"
                  @update:model-value="filterJobPosts"
                />
              </div>
            </div>
          </div>
        </div>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script>
import { defineComponent, ref, reactive, onMounted, onUnmounted } from "vue";
import { requiredField } from "src/hooks/validations";
import { useUser } from "src/layouts/portals/store/user";
import { useJob } from "../store/job";
import { useSearch } from "../store/search";
import { useApplication } from "src/modules/messages/store/application";
import PortalPage from "src/layouts/portals/PortalPage.vue";
import RecentlySavedJobsCard from "../components/cards/RecentlySavedJobsCard.vue";
import useApplicationHook from "../hooks/applicationHook";
// import { LocalStorage } from "quasar";
import CustomAvatar from "src/components/CustomAvatar.vue";
import InfiniteLoading from "v3-infinite-loading";
import "v3-infinite-loading/lib/style.css";

export default defineComponent({
  name: "SearchJobPage",
  components: {
    PortalPage,
    RecentlySavedJobsCard,
    CustomAvatar,
    InfiniteLoading,
  },

  setup() {
    const userStore = useUser();
    const jobStore = useJob();
    const { getJobs, getJob, getSavedJobs, resetJobs } = jobStore;

    const searchStore = useSearch();
    const { getSearches } = searchStore;

    const applicationStore = useApplication();
    const { getApplications, getApplication } = applicationStore;

    const { loading, doApplyJob, doSaveJob, doUnsaveJob } =
      useApplicationHook();
    const showApplyNowCard = ref(false);
    const isError = ref(false);
    const errorMessage = ref("");
    const text = ref(null);
    const showSearchOverlayCard = ref(false);
    const showFilterMobile = ref(false);
    const fileNameVisible = ref(true);
    const isSearchBtnClicked = ref(false);
    const currentOffset = ref(0);
    const screenWidth = ref(0);
    const isPortrait = ref(false);
    const isIpad = ref(false);
    const containerJobsListDisplay = ref(null);

    const filter = reactive({
      search: "",
      sortBy: null,
      date_posted: null,
      full_time: false,
      part_time: false,
      freelance_or_contract: false,
      entry_level: false,
      intermediate: false,
      expert: false,
      on_site: false,
      remote: false,
      hybrid: false,
    });

    const form = reactive({
      job_post_id: null,
      cv_or_resume: null,
      cv_or_resume_path: null,
      cover_letter: null,
      day_options: [
        {
          label: "Mon",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Tue",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Wed",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Thu",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Fri",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
      ],
      time_options: [
        {
          label: "AM",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "PM",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
      ],
    });

    const resetForm = () => {
      form.job_post_id = null;
      form.cv_or_resume = null;
      form.cover_letter = null;
      form.day_options = [
        {
          label: "Mon",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Tue",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Wed",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Thu",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "Fri",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
      ];
      form.time_options = [
        {
          label: "AM",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
        {
          label: "PM",
          color: "grey-2",
          textColor: "dark",
          value: false,
        },
      ];
    };

    onMounted(() => {
      fetchData();

      let scrollDiv = containerJobsListDisplay.value;
      scrollDiv.addEventListener("scroll", handleScroll);
      window.addEventListener("resize", screenResize);
    });

    const handleScroll = (e) => {
      let scrollDiv = containerMessageDisplay.value;
      atBottom.value =
        scrollDiv.scrollHeight - 100 <=
        e.target.scrollTop + scrollDiv.offsetHeight;
    };

    const fetchData = async () => {
      resetJobs();
      getJobs(filter);
    };

    const handleClear = () => {
      isSearchBtnClicked.value === false;
      filter.search = "";

      filterJobPosts();
      getSearches();
    };

    const goBack = () => {
      resetForm();
      showApplyNowCard.value = false;

      setTimeout(() => {
        window.scrollTo({ top: currentOffset.value, behavior: "instant" });
      }, 2);
    };

    const fetchJobs = async ($state) => {
      await getJobs().then((data) => {
        console.log(data);
        if (data.current_page != data.last_page) {
          $state.loaded();
        } else {
          $state.complete();
        }
      });
    };

    const setDaysAvailable = (option, index) => {
      if (option.value === false) {
        form.day_options[index].color = "primary";
        form.day_options[index].textColor = "white";
        form.day_options[index].value = true;
      } else {
        form.day_options[index].color = "grey-2";
        form.day_options[index].textColor = "dark";
        form.day_options[index].value = false;
      }
    };

    const setTimeAvailable = (option, index) => {
      if (option.value === false) {
        form.time_options[index].color = "primary";
        form.time_options[index].textColor = "white";
        form.time_options[index].value = true;
      } else {
        form.time_options[index].color = "grey-2";
        form.time_options[index].textColor = "primary";
        form.time_options[index].value = false;
      }
    };

    const getDaysPosted = (date) => {
      let currentDate = new Date();
      let startDate = new Date(date);

      var difference = Math.abs(currentDate - startDate);
      var numberOfDays = difference / (1000 * 3600 * 24);
      return Math.round(numberOfDays);
    };

    const formatSalary = (salary) => {
      return salary.toLocaleString();
    };

    const onClickApplyNow = async (job_id) => {
      await getJob(job_id);

      fetchApplicationData(job_id);
      // form.cv_or_resume_path = LocalStorage.getItem("auth").cv_or_resume;
      form.cv_or_resume_path = userStore.userDetails.cv_or_resume;
      showApplyNowCard.value = true;
      currentOffset.value = window.pageYOffset;
      window.scrollTo({ top: 0, behavior: "instant" });
    };

    const fetchApplicationData = (job_id) => {
      for (let x = 0; x < applicationStore.applications.length; x++) {
        const application = applicationStore.applications[x];

        if (application.job_post_id === job_id) {
          form.cover_letter = application.cover_letter;
          form.day_options = [
            {
              label: "Mon",
              color: application.monday === true ? "primary" : "grey-2",
              textColor: application.monday === true ? "white" : "dark",
              value: application.monday,
            },
            {
              label: "Tue",
              color: application.tuesday === true ? "primary" : "grey-2",
              textColor: application.tuesday === true ? "white" : "dark",
              value: application.tuesday,
            },
            {
              label: "Wed",
              color: application.wednesday === true ? "primary" : "grey-2",
              textColor: application.wednesday === true ? "white" : "dark",
              value: application.wednesday,
            },
            {
              label: "Thu",
              color: application.thursday === true ? "primary" : "grey-2",
              textColor: application.thursday === true ? "white" : "dark",
              value: application.thursday,
            },
            {
              label: "Fri",
              color: application.friday === true ? "primary" : "grey-2",
              textColor: application.friday === true ? "white" : "dark",
              value: application.friday,
            },
          ];
          form.time_options = [
            {
              label: "AM",
              color: application.am === true ? "primary" : "grey-2",
              textColor: application.am === true ? "white" : "dark",
              value: application.am,
            },
            {
              label: "PM",
              color: application.pm === true ? "primary" : "grey-2",
              textColor: application.pm === true ? "white" : "dark",
              value: application.pm,
            },
          ];
        }
      }
    };

    const toggleFileNameVisibility = () => {
      fileNameVisible.value = !fileNameVisible.value;
    };

    const onFileChange = (newFile) => {
      form.cv_or_resume = newFile;
    };

    const confirmApplyNow = (id) => {
      form.job_post_id = id;
      loading.value = true;

      const formData = new FormData();

      formData.append("job_post_id", form.job_post_id);
      if (form.cv_or_resume === null) {
        formData.append("cv_or_resume_path", form.cv_or_resume_path);
      } else {
        formData.append("cv_or_resume", form.cv_or_resume);
      }

      if (form.cover_letter !== null) {
        formData.append("cover_letter", form.cover_letter);
      }
      formData.append("monday", form.day_options[0].value);
      formData.append("tuesday", form.day_options[1].value);
      formData.append("wednesday", form.day_options[2].value);
      formData.append("thursday", form.day_options[3].value);
      formData.append("friday", form.day_options[4].value);
      formData.append("am", form.time_options[0].value);
      formData.append("pm", form.time_options[1].value);

      setTimeout(async () => {
        await doApplyJob(formData);
        await getJobs();
        loading.value = false;

        resetForm();
        showApplyNowCard.value = false;
        setTimeout(() => {
          window.scrollTo({ top: currentOffset.value, behavior: "instant" });
        }, 2);
      }, 1000);
    };

    const onClickSaveJob = (id, is_saved) => {
      if (is_saved === false) {
        doSaveJob(id);
      } else {
        getSavedJobs();
        for (let x = 0; x < jobStore.savedJobs.length; x++) {
          const savedJob = jobStore.savedJobs[x];

          if (id === savedJob.job_post_id) {
            savedJob.is_saved = false;
            doUnsaveJob(savedJob.id);
          }
        }
      }
      getJobs();
    };

    const filterJobPosts = () => {
      isSearchBtnClicked.value = true;
      getJobs(filter);
    };

    const fetchRecentSearch = (job) => {
      filter.search = job.name;

      for (let x = 0; x < job.search_filters.length; x++) {
        const searchFilters = job.search_filters[x];

        if (searchFilters.slug) {
          switch (searchFilters.slug) {
            case "full-time":
              filter.full_time = true;
              break;
            case "part-time":
              filter.part_time = true;
              break;
            case "freelance-or-contract":
              filter.freelance_or_contract = true;
              break;
            case "entry-level":
              filter.entry_level = true;
              break;
            case "intermediate":
              filter.intermediate = true;
              break;
            case "expert":
              filter.expert = true;
              break;
            case "remote":
              filter.remote = true;
              break;
            case "hybrid":
              filter.hybrid = true;
              break;

            default:
              break;
          }
        }
      }

      filterJobPosts();
    };

    const showSearchOverlay = () => {
      console.log("show search overlay");
      document.documentElement.style.overflow = "hidden";
      showSearchOverlayCard.value = true;
    };

    const hideSearchOverlay = () => {
      document.documentElement.style.overflow = "auto";
      showSearchOverlayCard.value = false;
    };

    const screenResize = () => {
      screenWidth.value = window.screen.width;
      isPortrait.value = window.matchMedia("(orientation: portrait)").matches;
      console.log("is portrait  = " + isPortrait.value);

      var ua = navigator.userAgent;
      isIpad.value =
        /iPad/i.test(ua) ||
        /iPhone OS 3_1_2/i.test(ua) ||
        /iPhone OS 3_2_2/i.test(ua);
      console.log("is ipad " + isIpad.value);
    };

    onMounted(() => {
      window.addEventListener("resize", screenResize);
    });

    onUnmounted(() => {
      window.removeEventListener("resize", screenResize);
    });

    screenResize();
    getApplications();
    getSearches();

    return {
      form,
      userStore,
      jobStore,
      searchStore,
      applicationStore,
      loading,
      errorMessage,
      showApplyNowCard,
      filter,
      text,
      color: "secondary",
      isSearchBtnClicked,
      containerJobsListDisplay,
      sortOptions: [
        {
          label: "Most Recent",
          value: 1,
        },
        {
          label: "Job Title (A-Z)",
          value: 2,
        },
        {
          label: "Job Title (Z-A)",
          value: 3,
        },
        {
          label: "Company Name (A-Z)",
          value: 4,
        },
        {
          label: "Company Name (Z-A)",
          value: 5,
        },
      ],
      checkFileType(files) {
        return files.filter(
          (file) =>
            file.type === "application/msword" ||
            file.type ===
              "application/vnd.openxmlformats-officedocument.wordprocessingml.document" ||
            file.type === "application/pdf" ||
            file.type === "image/png" ||
            file.type === "image/jpeg" ||
            file.type === "image/jpg"
        );
      },
      onRejected(files) {
        for (let x = 0; x < files.length; x++) {
          const file = files[x];

          if (file.failedPropValidation === "max-file-size") {
            isError.value = true;
            errorMessage.value = "File size should not be greater than 5MB";
          } else if (file.failedPropValidation === "filter") {
            isError.value = true;
            errorMessage.value = "The file type uploaded is not supported";
          } else {
            isError.value = false;
            errorMessage.value = "";
          }
        }
      },
      validations: {
        requiredField,
      },
      doApplyJob,
      onClickApplyNow,
      onClickSaveJob,
      confirmApplyNow,
      getDaysPosted,
      filterJobPosts,
      fetchRecentSearch,
      goBack,
      setDaysAvailable,
      setTimeAvailable,
      formatSalary,
      showSearchOverlay,
      hideSearchOverlay,
      screenResize,
      screenWidth,
      showSearchOverlayCard,
      showFilterMobile,
      toggleFileNameVisibility,
      onFileChange,
      handleClear,
      isPortrait,
      isIpad,
    };
  },
});
</script>

<style lang="scss" scoped>
.logo-container {
  width: 60px;
  height: 60px;
  background-color: $brand-1;
}

.salary-container {
  padding: 10px 20px 10px 20px;
}

#filter-search {
  border: transparent !important;
}

#apply {
  width: 120px !important;
}

.card-job {
  padding: 30px 30px !important;
}

.my-custom-toggle {
  border-radius: 10px;
  height: 40px;
  width: 100%;
  position: relative;
}
.q-editor {
  border-radius: 10px;
  // background: #f5f5f5;
  width: 100%;
}

.btn-save {
  width: 41.49px !important;
  height: 35px !important;
  height: 35px !important;
}
.filled {
  background: #5599da !important;
}
.outlined {
  border: 1px solid #5599da !important;
}

.sort-field {
  :deep(.q-field__control) {
    border-radius: 10px;
  }

  :deep(i) {
    color: #01579b;
  }
}

.search-field {
  :deep(input) {
    padding-left: 20px;
  }

  :deep(.q-field__control) {
    padding: 0;
    border-radius: 15px;
  }

  :deep(#search) {
    background: #01579b;
    color: #fff;
    padding: 0;
    width: 50px;
    height: 56px;
    font-size: 15px;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
  }
}

.overlay-search {
  position: fixed;
  top: 100px;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 30px 24px;
  background: rgb(222 222 220 / 95%);

  .search-item {
    background: #fff;
    padding: 10px 15px;
    border-radius: 10px;
  }
}

@media screen and (max-width: 1224px) {
  .card-job {
    padding: 15px 15px !important;
  }
}

@media screen and (max-width: 900px) {
  .card-job {
    .title-headline {
      font-size: 15px;
      margin-bottom: 0;
    }

    .title-6 {
      font-size: 12px;
    }

    span.title-4 {
      font-size: 12px;
    }
    .badge {
      font-size: 9px;
      padding: 3px 12px;
      margin-left: 10px;
    }

    .title-xsmall {
      font-size: 10px;
    }
  }
}

@media only screen and (max-width: 1024px) and (min-width: 768px) {
  :deep(.q-checkbox__inner) {
    font-size: 30px;
  }
  :deep(.q-radio__inner) {
    font-size: 30px;
  }
}

@media screen and (max-width: 500px) {
  // .card-job {
  //   padding: 15px 15px !important;
  // }
}
</style>
